| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Class Methods
FFprobeKit Class Reference

`#import <FFprobeKit.h>`

## Class Methods
(FFprobeSession *) | + executeWithArguments:
(FFprobeSession *) | + executeWithArgumentsAsync:withCompleteCallback:
(FFprobeSession *) | + executeWithArgumentsAsync:withCompleteCallback:withLogCallback:
(FFprobeSession *) | + executeWithArgumentsAsync:withCompleteCallback:onDispatchQueue:
(FFprobeSession *) | + executeWithArgumentsAsync:withCompleteCallback:withLogCallback:onDispatchQueue:
(FFprobeSession *) | + execute:
(FFprobeSession *) | + executeAsync:withCompleteCallback:
(FFprobeSession *) | + executeAsync:withCompleteCallback:withLogCallback:
(FFprobeSession *) | + executeAsync:withCompleteCallback:onDispatchQueue:
(FFprobeSession *) | + executeAsync:withCompleteCallback:withLogCallback:onDispatchQueue:
(MediaInformationSession *) | + getMediaInformation:
(MediaInformationSession *) | + getMediaInformation:withTimeout:
(MediaInformationSession *) | + getMediaInformationAsync:withCompleteCallback:
(MediaInformationSession *) | + getMediaInformationAsync:withCompleteCallback:withLogCallback:withTimeout:
(MediaInformationSession *) | + getMediaInformationAsync:withCompleteCallback:onDispatchQueue:
(MediaInformationSession *) | + getMediaInformationAsync:withCompleteCallback:withLogCallback:onDispatchQueue:withTimeout:
(MediaInformationSession *) | + getMediaInformationFromCommand:
(MediaInformationSession *) | + getMediaInformationFromCommandAsync:withCompleteCallback:withLogCallback:onDispatchQueue:withTimeout:
(MediaInformationSession *) | + getMediaInformationFromCommandArgumentsAsync:withCompleteCallback:withLogCallback:onDispatchQueue:withTimeout:
(NSArray *) | + listFFprobeSessions
(NSArray *) | + listMediaInformationSessions
(void) | + initialize`[implementation]`
(NSArray *) | + defaultGetMediaInformationCommandArguments:`[implementation]`

## Detailed Description

Main class to run `FFprobe` commands. Supports executing commands both synchronously and asynchronously.

    FFprobeSession *session = [FFprobeKit execute:"-hide_banner -v error -show_entries format=size -of default=noprint_wrappers=1 file1.mp4"];

    FFprobeSession *asyncSession = [FFprobeKit executeAsync:@"-hide_banner -v error -show_entries format=size -of default=noprint_wrappers=1 file1.mp4" withCompleteCallback:completeCallback];
    </pre>
    <p>Provides overloaded <code>execute</code> methods to define session specific callbacks.
    <pre>
    FFprobeSession *session = [FFprobeKit executeAsync:@"-hide_banner -v error -show_entries format=size -of default=noprint_wrappers=1 file1.mp4" withCompleteCallback:completeCallback withLogCallback:logCallback];
    </pre>
    <p>It can extract media information for a file or a url, using getMediaInformation method.
    <pre>
         MediaInformationSession *session = [FFprobeKit getMediaInformation:@"file1.mp4"];

Definition at line 46 of file FFprobeKit.h.

## Method Documentation

## ◆ defaultGetMediaInformationCommandArguments:

+ (NSArray *) defaultGetMediaInformationCommandArguments: |  | (NSString*) | path |
| implementation

Definition at line 1 of file FFprobeKit.m.

## ◆ execute:

+ (FFprobeSession *) execute: |  | (NSString*) | command |

Synchronously executes FFprobe command provided. Space character is used to split command into arguments. You can use single or double quote characters to specify arguments inside your command.

Parameters

  command | FFprobe command

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeAsync:withCompleteCallback:

+ (FFprobeSession *) executeAsync: |  | (NSString*) | command
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback

Starts an asynchronous FFprobe execution for the given command. Space character is used to split the command into arguments. You can use single or double quote characters to specify arguments inside your command.

Note that this method returns immediately and does not wait the execution to complete. You must use an FFprobeSessionCompleteCallback if you want to be notified about the result.

Parameters

  command | FFprobe command
  completeCallback | callback that will be called when the execution has completed

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeAsync:withCompleteCallback:onDispatchQueue:

+ (FFprobeSession *) executeAsync: |  | (NSString*) | command
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
onDispatchQueue: |  | (dispatch_queue_t) | queue

Starts an asynchronous FFprobe execution for the given command. Space character is used to split the command into arguments. You can use single or double quote characters to specify arguments inside your command.

Note that this method returns immediately and does not wait the execution to complete. You must use an FFprobeSessionCompleteCallback if you want to be notified about the result.

Parameters

  command | FFprobe command
  completeCallback | callback that will be called when the execution has completed
  queue | dispatch queue that will be used to run this asynchronous operation

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeAsync:withCompleteCallback:withLogCallback:

+ (FFprobeSession *) executeAsync: |  | (NSString*) | command
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback

Starts an asynchronous FFprobe execution for the given command. Space character is used to split the command into arguments. You can use single or double quote characters to specify arguments inside your command.

Note that this method returns immediately and does not wait the execution to complete. You must use an FFprobeSessionCompleteCallback if you want to be notified about the result.

Parameters

  command | FFprobe command
  completeCallback | callback that will be notified when execution has completed
  logCallback | callback that will receive logs

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeAsync:withCompleteCallback:withLogCallback:onDispatchQueue:

+ (FFprobeSession *) executeAsync: |  | (NSString*) | command
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
onDispatchQueue: |  | (dispatch_queue_t) | queue

Starts an asynchronous FFprobe execution for the given command. Space character is used to split the command into arguments. You can use single or double quote characters to specify arguments inside your command.

Note that this method returns immediately and does not wait the execution to complete. You must use an FFprobeSessionCompleteCallback if you want to be notified about the result.

Parameters

  command | FFprobe command
  completeCallback | callback that will be called when the execution has completed
  logCallback | callback that will receive logs
  queue | dispatch queue that will be used to run this asynchronous operation

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeWithArguments:

+ (FFprobeSession *) executeWithArguments: |  | (NSArray*) | arguments |

Synchronously executes FFprobe with arguments provided.

Parameters

  arguments | FFprobe command options/arguments as string array

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeWithArgumentsAsync:withCompleteCallback:

+ (FFprobeSession *) executeWithArgumentsAsync: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback

Starts an asynchronous FFprobe execution with arguments provided.

Note that this method returns immediately and does not wait the execution to complete. You must use an FFprobeSessionCompleteCallback if you want to be notified about the result.

Parameters

  arguments | FFprobe command options/arguments as string array
  completeCallback | callback that will be called when the execution has completed

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeWithArgumentsAsync:withCompleteCallback:onDispatchQueue:

+ (FFprobeSession *) executeWithArgumentsAsync: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
onDispatchQueue: |  | (dispatch_queue_t) | queue

Starts an asynchronous FFprobe execution with arguments provided.

Note that this method returns immediately and does not wait the execution to complete. You must use an FFprobeSessionCompleteCallback if you want to be notified about the result.

Parameters

  arguments | FFprobe command options/arguments as string array
  completeCallback | callback that will be called when the execution has completed
  queue | dispatch queue that will be used to run this asynchronous operation

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeWithArgumentsAsync:withCompleteCallback:withLogCallback:

+ (FFprobeSession *) executeWithArgumentsAsync: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback

Starts an asynchronous FFprobe execution with arguments provided.

Note that this method returns immediately and does not wait the execution to complete. You must use an FFprobeSessionCompleteCallback if you want to be notified about the result.

Parameters

  arguments | FFprobe command options/arguments as string array
  completeCallback | callback that will be notified when execution has completed
  logCallback | callback that will receive logs

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ executeWithArgumentsAsync:withCompleteCallback:withLogCallback:onDispatchQueue:

+ (FFprobeSession *) executeWithArgumentsAsync: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
onDispatchQueue: |  | (dispatch_queue_t) | queue

Starts an asynchronous FFprobe execution with arguments provided.

Note that this method returns immediately and does not wait the execution to complete. You must use an FFprobeSessionCompleteCallback if you want to be notified about the result.

Parameters

  arguments | FFprobe command options/arguments as string array
  completeCallback | callback that will be notified when execution has completed
  logCallback | callback that will receive logs
  queue | dispatch queue that will be used to run this asynchronous operation

Returns
  FFprobe session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformation:

+ (MediaInformationSession *) getMediaInformation: |  | (NSString*) | path |

Extracts media information for the file specified with path.

Parameters

  path | path or uri of a media file

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformation:withTimeout:

+ (MediaInformationSession *) getMediaInformation: |  | (NSString*) | path
withTimeout: |  | (int) | waitTimeout

Extracts media information for the file specified with path.

Parameters

  path | path or uri of a media file
  waitTimeout | max time to wait until media information is transmitted

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformationAsync:withCompleteCallback:

+ (MediaInformationSession *) getMediaInformationAsync: |  | (NSString*) | path
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback

Starts an asynchronous FFprobe execution to extract the media information for the specified file.

Note that this method returns immediately and does not wait the execution to complete. You must use an MediaInformationSessionCompleteCallback if you want to be notified about the result.

Parameters

  path | path or uri of a media file
  completeCallback | callback that will be called when the execution has completed

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformationAsync:withCompleteCallback:onDispatchQueue:

+ (MediaInformationSession *) getMediaInformationAsync: |  | (NSString*) | path
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback
onDispatchQueue: |  | (dispatch_queue_t) | queue

Starts an asynchronous FFprobe execution to extract the media information for the specified file.

Note that this method returns immediately and does not wait the execution to complete. You must use an MediaInformationSessionCompleteCallback if you want to be notified about the result.

Parameters

  path | path or uri of a media file
  completeCallback | callback that will be called when the execution has completed
  queue | dispatch queue that will be used to run this asynchronous operation

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformationAsync:withCompleteCallback:withLogCallback:onDispatchQueue:withTimeout:

+ (MediaInformationSession *) getMediaInformationAsync: |  | (NSString*) | path
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
onDispatchQueue: |  | (dispatch_queue_t) | queue
withTimeout: |  | (int) | waitTimeout

Starts an asynchronous FFprobe execution to extract the media information for the specified file.

Note that this method returns immediately and does not wait the execution to complete. You must use an MediaInformationSessionCompleteCallback if you want to be notified about the result.

Parameters

  path | path or uri of a media file
  completeCallback | callback that will be notified when execution has completed
  logCallback | callback that will receive logs
  queue | dispatch queue that will be used to run this asynchronous operation
  waitTimeout | max time to wait until media information is transmitted

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformationAsync:withCompleteCallback:withLogCallback:withTimeout:

+ (MediaInformationSession *) getMediaInformationAsync: |  | (NSString*) | path
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
withTimeout: |  | (int) | waitTimeout

Starts an asynchronous FFprobe execution to extract the media information for the specified file.

Note that this method returns immediately and does not wait the execution to complete. You must use an MediaInformationSessionCompleteCallback if you want to be notified about the result.

Parameters

  path | path or uri of a media file
  completeCallback | callback that will be notified when execution has completed
  logCallback | callback that will receive logs
  waitTimeout | max time to wait until media information is transmitted

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformationFromCommand:

+ (MediaInformationSession *) getMediaInformationFromCommand: |  | (NSString*) | command |

Extracts media information using the command provided asynchronously.

Parameters

  command | FFprobe command that prints media information for a file in JSON format

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformationFromCommandArgumentsAsync:withCompleteCallback:withLogCallback:onDispatchQueue:withTimeout:

+ (MediaInformationSession *) getMediaInformationFromCommandArgumentsAsync: |  | (NSArray*) | arguments
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
onDispatchQueue: |  | (dispatch_queue_t) | queue
withTimeout: |  | (int) | waitTimeout

Starts an asynchronous FFprobe execution to extract media information using command arguments. The command passed to this method must generate the output in JSON format in order to successfully extract media information from it.

Note that this method returns immediately and does not wait the execution to complete. You must use an MediaInformationSessionCompleteCallback if you want to be notified about the result.

Parameters

  arguments | FFprobe command that prints media information for a file in JSON format
  completeCallback | callback that will be notified when execution has completed
  logCallback | callback that will receive logs
  queue | dispatch queue that will be used to run this asynchronous operation
  waitTimeout | max time to wait until media information is transmitted

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ getMediaInformationFromCommandAsync:withCompleteCallback:withLogCallback:onDispatchQueue:withTimeout:

+ (MediaInformationSession *) getMediaInformationFromCommandAsync: |  | (NSString*) | command
withCompleteCallback: |  | (MediaInformationSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
onDispatchQueue: |  | (dispatch_queue_t) | queue
withTimeout: |  | (int) | waitTimeout

Starts an asynchronous FFprobe execution to extract media information using a command. The command passed to this method must generate the output in JSON format in order to successfully extract media information from it.

Note that this method returns immediately and does not wait the execution to complete. You must use an MediaInformationSessionCompleteCallback if you want to be notified about the result.

Parameters

  command | FFprobe command that prints media information for a file in JSON format
  completeCallback | callback that will be notified when execution has completed
  logCallback | callback that will receive logs
  queue | dispatch queue that will be used to run this asynchronous operation
  waitTimeout | max time to wait until media information is transmitted

Returns
  media information session created for this execution

Definition at line 1 of file FFprobeKit.m.

## ◆ initialize

+ (void) initialize |  |  |
| implementation

Definition at line 1 of file FFprobeKit.m.

## ◆ listFFprobeSessions

+ (NSArray *) listFFprobeSessions |  |  |

Lists all FFprobe sessions in the session history.

Returns
  all FFprobe sessions in the session history

Definition at line 1 of file FFprobeKit.m.

## ◆ listMediaInformationSessions

+ (NSArray *) listMediaInformationSessions |  |  |

Lists all MediaInformation sessions in the session history.

Returns
  all MediaInformation sessions in the session history

Definition at line 1 of file FFprobeKit.m.

The documentation for this class was generated from the following files:

- FFprobeKit.h
- FFprobeKit.m